> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List FAQs



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /smart-faq
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /smart-faq:
    get:
      tags:
        - SmartFAQ
      summary: List FAQs
      parameters:
        - name: sourceId
          in: query
          description: The source ID of the FAQs.
          style: form
          schema:
            type: string
        - name: state
          in: query
          description: The state of the FAQs. "compressed" or "uncompressed".
          style: form
          schema:
            type: string
        - name: answered
          in: query
          description: The answered status of the FAQs. "answered" or "unanswered".
          style: form
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SmartFAQDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SmartFAQDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SmartFAQDto'
components:
  schemas:
    SmartFAQDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        agencyId:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        question:
          type: string
          nullable: true
        answer:
          type: string
          nullable: true
        leadIds:
          type: array
          items:
            type: string
          nullable: true
        state:
          $ref: '#/components/schemas/AgencySourceFAQState'
      additionalProperties: false
    AgencySourceFAQState:
      enum:
        - Uncompressed
        - Compressed
      type: integer
      format: int32
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````